package com.bcxin.rbac.domain.repository.custom;

import com.bcxin.rbac.domain.entities.RbacCustomRoleEntity;
import com.bcxin.rbac.domain.repositories.custom.RbacCustomRoleRepository;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.Optional;


public interface RbacCustomRoleJpaRepository extends RbacCustomRoleRepository, JpaRepository<RbacCustomRoleEntity, Long> {

    Optional<RbacCustomRoleEntity> findByOrganizationIdAndRoleName(String organizationId, String roleName);

    Optional<RbacCustomRoleEntity> findByOrganizationIdAndSeq(String organizationId, Integer seq);

    @Query("select max(t.seq) from RbacCustomRoleEntity t where  t.organizationId = :organizationId")
    long findMaxSeqByOrganizationId(@Param("organizationId") String organizationId);
}